com.collabnet.ce.soap60.webservices.scm

## Class ScmFileSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.scm.ScmFileSoapRow

-     public class ScmFileSoapRow
      extends Object

  A list of scm files per commit.
  Since:
    4.2sp1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScmFileSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCommitMessage()` Returns 'commitMessage'.
    `String` | `getFilename()` Returns 'filename'.
    `String` | `getId()` Returns 'id'.
    `String` | `getRefFilename()` Returns 'refFilename'.
    `String` | `getStatus()` Returns 'status'.
    `String` | `getVersion()` Returns 'version'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setCommitMessage(String commitMessage)` Sets 'commitMessage'.
    `void` | `setFilename(String filename)` Sets 'filename'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setRefFilename(String refFilename)` Sets 'refFilename'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setVersion(String version)` Sets 'version'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScmFileSoapRow

          public ScmFileSoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'. Id of the file
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'. Id of the file
      Parameters:
        `id` - Value of 'id'.

    - #### getFilename

          public String getFilename()

      Returns 'filename'. The filename
      Returns:
        Value of 'filename'.

    - #### setFilename

          public void setFilename(String filename)

      Sets 'filename'. The filename
      Parameters:
        `filename` - Value of 'filename'.

    - #### getVersion

          public String getVersion()

      Returns 'version'. The version/revision of the file
      Returns:
        Value of 'version'.

    - #### setVersion

          public void setVersion(String version)

      Sets 'version'. The version/revision of the file
      Parameters:
        `version` - Value of 'version'.

    - #### getStatus

          public String getStatus()

      Returns 'status'. The status of this file (e.g. newly added, deleted, etc.)
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. The status of this file (e.g. newly added, deleted, etc.)
      Parameters:
        `status` - Value of 'status'.

    - #### getRefFilename

          public String getRefFilename()

      Returns 'refFilename'. The name of the file this one refers to (e.g., was copied or moved from)
      Returns:
        Value of 'refFilename'.

    - #### setRefFilename

          public void setRefFilename(String refFilename)

      Sets 'refFilename'. The name of the file this one refers to (e.g., was copied or moved from)
      Parameters:
        `refFilename` - Value of 'refFilename'.

    - #### getCommitMessage

          public String getCommitMessage()

      Returns 'commitMessage'. The message provided by the user when creating the commit
      Returns:
        Value of 'commitMessage'.

    - #### setCommitMessage

          public void setCommitMessage(String commitMessage)

      Sets 'commitMessage'. The message provided by the user when creating the commit
      Parameters:
        `commitMessage` - Value of 'commitMessage'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.